Index: src/UIElements/Qt4/QtDialog.hpp
===================================================================
--- src/UIElements/Qt4/QtDialog.hpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/QtDialog.hpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -33,26 +33,26 @@
   virtual ~QtDialog();
 
-  virtual void queryEmpty(const char*, std::string);
-  virtual void queryBoolean(Parameter<bool> &, const char *, std::string = "");
-  virtual void queryInt(Parameter<int> &, const char *,std::string = "");
-  virtual void queryInts(Parameter<std::vector<int> > &, const char *,std::string = "");
-  virtual void queryUnsignedInt(Parameter<unsigned int> &, const char *,std::string = "");
-  virtual void queryUnsignedInts(Parameter<std::vector<unsigned int> > &, const char *,std::string = "");
-  virtual void queryDouble(Parameter<double> &, const char*,std::string = "");
-  virtual void queryDoubles(Parameter<std::vector<double> > &, const char*,std::string = "");
-  virtual void queryString(Parameter<std::string> &, const char*,std::string = "");
-  virtual void queryStrings(Parameter<std::vector<std::string> > &, const char*,std::string = "");
-  virtual void queryAtom(Parameter<const atom *> &, const char*,std::string = "");
-  virtual void queryAtoms(Parameter<std::vector<const atom *> > &, const char*,std::string = "");
-  virtual void queryMolecule(Parameter<const molecule *> &, const char*,std::string = "");
-  virtual void queryMolecules(Parameter<std::vector<const molecule *> > &, const char*,std::string = "");
-  virtual void queryVector(Parameter<Vector> &, const char*,std::string = "");
-  virtual void queryVectors(Parameter<std::vector<Vector> > &, const char*,std::string = "");
-  virtual void queryRealSpaceMatrix(Parameter<RealSpaceMatrix> &, const char*, std::string = "");
-  virtual void queryElement(Parameter<const element *> &, const char*,std::string = "");
-  virtual void queryElements(Parameter<std::vector<const element *> > &, const char*,std::string = "");
-  virtual void queryFile(Parameter<boost::filesystem::path> &, const char*,std::string = "");
-  virtual void queryFiles(Parameter<std::vector< boost::filesystem::path> > &, const char*,std::string = "");
-  virtual void queryRandomNumberDistribution_Parameters(Parameter<RandomNumberDistribution_Parameters> &, const char*,std::string = "");
+  virtual void queryEmpty(const std::string ="", const std::string = "");
+  virtual void queryBoolean(Parameter<bool> &, const std::string ="", const std::string = "");
+  virtual void queryInt(Parameter<int> &, const std::string ="", const std::string = "");
+  virtual void queryInts(Parameter<std::vector<int> > &, const std::string ="", const std::string = "");
+  virtual void queryUnsignedInt(Parameter<unsigned int> &, const std::string ="", const std::string = "");
+  virtual void queryUnsignedInts(Parameter<std::vector<unsigned int> > &, const std::string ="", const std::string = "");
+  virtual void queryDouble(Parameter<double> &, const std::string ="", const std::string = "");
+  virtual void queryDoubles(Parameter<std::vector<double> > &, const std::string ="", const std::string = "");
+  virtual void queryString(Parameter<std::string> &, const std::string ="", const std::string = "");
+  virtual void queryStrings(Parameter<std::vector<std::string> > &, const std::string ="", const std::string = "");
+  virtual void queryAtom(Parameter<const atom *> &, const std::string ="", const std::string = "");
+  virtual void queryAtoms(Parameter<std::vector<const atom *> > &, const std::string ="", const std::string = "");
+  virtual void queryMolecule(Parameter<const molecule *> &, const std::string ="", const std::string = "");
+  virtual void queryMolecules(Parameter<std::vector<const molecule *> > &, const std::string ="", const std::string = "");
+  virtual void queryVector(Parameter<Vector> &, const std::string ="", const std::string = "");
+  virtual void queryVectors(Parameter<std::vector<Vector> > &, const std::string ="", const std::string = "");
+  virtual void queryRealSpaceMatrix(Parameter<RealSpaceMatrix> &, const std::string ="", const std::string = "");
+  virtual void queryElement(Parameter<const element *> &, const std::string ="", const std::string = "");
+  virtual void queryElements(Parameter<std::vector<const element *> > &, const std::string ="", const std::string = "");
+  virtual void queryFile(Parameter<boost::filesystem::path> &, const std::string ="", const std::string = "");
+  virtual void queryFiles(Parameter<std::vector< boost::filesystem::path> > &, const std::string ="", const std::string = "");
+  virtual void queryRandomNumberDistribution_Parameters(Parameter<RandomNumberDistribution_Parameters> &, const std::string ="", const std::string = "");
 
   virtual bool display();
